#include <iostream>

using namespace std;

int main()
{
    long long n,k;
    cin>>n>>k;
    long long a[n]={0};
    long long a1[n]={0};
    long long r[n];
    long long x;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        if(x>=0)
        {
            a[x]=a[x]+1;
        }
        else
        {
            a1[x*-1]=a1[x*-1]+1;
        }
    }
    x=0;
    for(int i=0;i<n;i++)
    {
        if(a[i]>=k)
        {
            r[x]=i;
            x=x+1;
        }
        if(a1[i]>=k)
        {
            r[x]=i*-1;
            x=x+1;
        }
    }
    cout<<x<<"\n";
    for(int i=0;i<x;i++)
        cout<<r[i]<<" ";
    return 0;
}